
From: Matt Porter <mporter@kernel.crashing.org>

The following trivial patch changes dma_map_page() to use page_to_bus()
instead of open-coding it (incorrectly in some cases).

Signed-off-by: Eugene Surovegin <ebs@ebshome.net>
Signed-off-by: Matt Porter <mporter@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-ppc/dma-mapping.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-ppc/dma-mapping.h~ppc32-fix-dma_map_page-to-use-page_to_bus include/asm-ppc/dma-mapping.h
--- devel/include/asm-ppc/dma-mapping.h~ppc32-fix-dma_map_page-to-use-page_to_bus	2005-07-26 09:18:46.000000000 -0700
+++ devel-akpm/include/asm-ppc/dma-mapping.h	2005-07-26 09:18:46.000000000 -0700
@@ -117,7 +117,7 @@ dma_map_page(struct device *dev, struct 
 
 	__dma_sync_page(page, offset, size, direction);
 
-	return (page - mem_map) * PAGE_SIZE + PCI_DRAM_OFFSET + offset;
+	return page_to_bus(page) + offset;
 }
 
 /* We do nothing. */
_
